<?php require "../../common/html.php"; ?>

<form method="post">
	<label for="action">Action</label>
	<select name="action" id="action">
		<option value="add">Ajouter</option>
		<option value="delete">Retirer</option>
	</select>
	<fieldset>
		<legend>Domaine</legend>
		<div class="elForm">
			<label for="subdomain">Sous-domaine</label>
			<br>
			<input required="" id="subdomain" placeholder="ns1" name="subdomain" type="text">
		</div>
		<div class="elForm">
			<label for="suffix">Domaine</label>
			<br>
			<select required="" name="suffix" id="suffix">
				<option value="" disabled="" selected="">---</option>

<?php

if (isset($_SESSION['username']))
	foreach(regListUserDomains($_SESSION['username']) as $suffix)
		echo "				<option value='" . $suffix . "'>." . $suffix . "</option>";

?>
			</select>
		</div>
	</fieldset>
	<label for="ip">IP</label><br>
	<input required="" pattern="^[a-f0-9:.]+$" id="ip" name="ip" minlength="7" maxlength="39" size="40" type="text" placeholder="<?= CONF['common']['ipv4_example'] ?> ou <?= CONF['common']['ipv6_example'] ?>">
	<br>
	<input value="Valider" type="submit">
</form>

<?php

switchToFormProcess();

regCheckDomainPossession($_POST['suffix']);

$domain = $_POST['subdomain'] . "." . $_POST['suffix'];

checkAbsoluteDomainFormat($domain);

$record = checkIpFormat($_POST['ip']);

$publicSuffix = regGetUpperDomain($_POST['suffix']);

knotcExec($publicSuffix, array(
	$domain,
	CONF['reg']['ttl'],
	$record,
	$_POST['ip']
));

success("Glue record ajouté");
